# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [0.13.0](https://github.com/ashutoshgngwr/noice/compare/0.12.0...0.13.0) - 2020-12-03

### Merged

- Adds 'Add to home screen' option to Preset's context menu [`#425`](https://github.com/ashutoshgngwr/noice/pull/425)
- Adds generate random preset action button [`#424`](https://github.com/ashutoshgngwr/noice/pull/424)

### Fixed

- refactor(app): amplify sound volumes [`#408`](https://github.com/ashutoshgngwr/noice/issues/408) [`#358`](https://github.com/ashutoshgngwr/noice/issues/358)
- refactor(app): switch to old 2 beep sample for airplane seatbelts [`#286`](https://github.com/ashutoshgngwr/noice/pull/286)
- docs(CONTRIBUTING): update documentation for adding sounds and code [`#419`](https://github.com/ashutoshgngwr/noice/issues/419)

### Commits

- refactor(app): migrate to jetpack view binding [`873561d`](https://github.com/ashutoshgngwr/noice/commit/873561d599cff089e3fef548ba2e519a07810348)
- feat(app): add id field & v1 migration strategy to Preset [`bf1a85f`](https://github.com/ashutoshgngwr/noice/commit/bf1a85f404837da72db090f15ca1a13e93c7f7e5)
- feat(app): add generate random preset action button [`edd94da`](https://github.com/ashutoshgngwr/noice/commit/edd94da5c9f6a78a8d12ab76f6c688c65fe1fd27)

## [0.12.0](https://github.com/ashutoshgngwr/noice/compare/0.11.1...0.12.0) - 2020-10-18

### Merged

- Update in Brazilian Portuguese translations for Fastlane Metadata [`#382`](https://github.com/ashutoshgngwr/noice/pull/382)
- Update in Brazilian Portuguese translations [`#381`](https://github.com/ashutoshgngwr/noice/pull/381)
- Add Indonesian translation [`#369`](https://github.com/ashutoshgngwr/noice/pull/369)
- Russian translation update [`#363`](https://github.com/ashutoshgngwr/noice/pull/363)
- add Ukrainian translation [`#354`](https://github.com/ashutoshgngwr/noice/pull/354)

### Commits

- chore(deps-dev): bump @babel/preset-env in /cast-receiver [`ae442dd`](https://github.com/ashutoshgngwr/noice/commit/ae442dd2f46182eff82e071146993e3022b52549)
- chore(deps-dev): bump @babel/core in /cast-receiver [`add4d6e`](https://github.com/ashutoshgngwr/noice/commit/add4d6ee117c52ea6c7d7c0b715c1328aaa5ce06)
- feat(lang): update in brazilian portuguese translations [`3142e00`](https://github.com/ashutoshgngwr/noice/commit/3142e009f4a70fa2b1098c38ce3fc11adf89b49c)

## [0.11.1](https://github.com/ashutoshgngwr/noice/compare/0.11.0...0.11.1) - 2020-09-26

### Merged

- Reverts PR #330 to downgrade ExoPlayer to 2.11.8 [`#345`](https://github.com/ashutoshgngwr/noice/pull/345)
- German translations [`#341`](https://github.com/ashutoshgngwr/noice/pull/341)
- chore(deps): bump core from 4.5.1 to 4.6.0 [`#342`](https://github.com/ashutoshgngwr/noice/pull/342)

### Commits

- chore(cast-receiver): manually resolve node-forge to patch CVE-2020-7720 [`d5ff069`](https://github.com/ashutoshgngwr/noice/commit/d5ff06932b4620dd748a987b34677662eea8285a)
- ci(github): enforce tighter path bounds on android workflow [`c42359f`](https://github.com/ashutoshgngwr/noice/commit/c42359f0552adfb1f33b553a909cf732ce6e64ee)
- chore(project): update CHANGELOG.md [`9608da6`](https://github.com/ashutoshgngwr/noice/commit/9608da6b756025a467ccc192f85cabdcd43b7bef)

## [0.11.0](https://github.com/ashutoshgngwr/noice/compare/0.10.1...0.11.0) - 2020-09-18

### Merged

- chore(app): bump android testing stack [`#338`](https://github.com/ashutoshgngwr/noice/pull/338)
- Adds in-app review flow [`#336`](https://github.com/ashutoshgngwr/noice/pull/336)
- Updated czech translations with translated new strings [`#329`](https://github.com/ashutoshgngwr/noice/pull/329)
- Update french translation [`#326`](https://github.com/ashutoshgngwr/noice/pull/326)

### Fixed

- chore(app): bump android testing stack [`#294`](https://github.com/ashutoshgngwr/noice/issues/294) [`#295`](https://github.com/ashutoshgngwr/noice/issues/295) [`#297`](https://github.com/ashutoshgngwr/noice/issues/297) [`#298`](https://github.com/ashutoshgngwr/noice/issues/298) [`#299`](https://github.com/ashutoshgngwr/noice/issues/299)

### Commits

- feat(app): add in-app review flow [`27e8f0e`](https://github.com/ashutoshgngwr/noice/commit/27e8f0e652de9e2ec581e4b3a4512013dde01478)
- test(app): fix broken tests for InAppReviewFlowManager [`8e1ef6d`](https://github.com/ashutoshgngwr/noice/commit/8e1ef6d8801bc5b98536f7a9033ebcd03cf87f46)
- feat(app): add neutral button to the DialogFragment [`7038c74`](https://github.com/ashutoshgngwr/noice/commit/7038c74f2f81b50a5cf66d960793bd0f3a50eaed)

## [0.10.1](https://github.com/ashutoshgngwr/noice/compare/0.10.0...0.10.1) - 2020-09-10

### Merged

- Fixes brownian noise sound [`#325`](https://github.com/ashutoshgngwr/noice/pull/325)
- Updates Hindi translations [`#324`](https://github.com/ashutoshgngwr/noice/pull/324)
- Fixes flaky tests in AppIntroActivity [`#323`](https://github.com/ashutoshgngwr/noice/pull/323)
- Update spanish translation [`#322`](https://github.com/ashutoshgngwr/noice/pull/322)

### Commits

- chore(app): update hindi translations [`25f18f9`](https://github.com/ashutoshgngwr/noice/commit/25f18f92b6599c65cba9a80f2d3b7f44dc7339f2)
- chore(project): update CHANGELOG.md [`bec95e0`](https://github.com/ashutoshgngwr/noice/commit/bec95e0a61b48ae91a624344527bef4a652ecdbf)
- test(app): fix flaky tests in AppIntroActivity [`270a4b6`](https://github.com/ashutoshgngwr/noice/commit/270a4b64b8bc4e2ebb9061b63d0cd43935255ef3)

## [0.10.0](https://github.com/ashutoshgngwr/noice/compare/0.9.1...0.10.0) - 2020-09-06

### Merged

- chore(deps): bump fastlane from 2.157.2 to 2.158.0 [`#319`](https://github.com/ashutoshgngwr/noice/pull/319)
- Adds app intro component [`#318`](https://github.com/ashutoshgngwr/noice/pull/318)
- Applies loudness equilization to 21/35 sounds [`#313`](https://github.com/ashutoshgngwr/noice/pull/313)
- General Maintenance [`#311`](https://github.com/ashutoshgngwr/noice/pull/311)
- Replaces DurationPicker with TimePicker for wake up timer [`#306`](https://github.com/ashutoshgngwr/noice/pull/306)
- Adds more sounds [`#305`](https://github.com/ashutoshgngwr/noice/pull/305)
- chore(deps): bump fastlane from 2.157.0 to 2.157.2 [`#304`](https://github.com/ashutoshgngwr/noice/pull/304)
- chore(deps-dev): bump prettier from 2.0.5 to 2.1.0 in /cast-receiver [`#291`](https://github.com/ashutoshgngwr/noice/pull/291)
- Add water hose sounds [`#157`](https://github.com/ashutoshgngwr/noice/pull/157)
- chore(deps): bump kotlin_version from 1.3.72 to 1.4.0 [`#281`](https://github.com/ashutoshgngwr/noice/pull/281)
- chore(deps-dev): bump jest from 26.4.0 to 26.4.1 in /cast-receiver [`#288`](https://github.com/ashutoshgngwr/noice/pull/288)
- Adds dual samples for many sounds [`#286`](https://github.com/ashutoshgngwr/noice/pull/286)
- chore(deps): bump fastlane from 2.156.0 to 2.156.1 [`#279`](https://github.com/ashutoshgngwr/noice/pull/279)
- chore(deps): bump fastlane from 2.155.1 to 2.155.3 [`#271`](https://github.com/ashutoshgngwr/noice/pull/271)
- chore(deps): bump material from 1.1.0 to 1.2.0 [`#265`](https://github.com/ashutoshgngwr/noice/pull/265)
- chore(deps): bump fastlane from 2.153.1 to 2.154.0 [`#256`](https://github.com/ashutoshgngwr/noice/pull/256)
- chore(deps-dev): bump jest from 26.1.0 to 26.2.1 in /cast-receiver [`#259`](https://github.com/ashutoshgngwr/noice/pull/259)

### Fixed

- feat(app): add crickets sound [`#115`](https://github.com/ashutoshgngwr/noice/issues/115)

### Commits

- feat(app): add app intro slides [`418a691`](https://github.com/ashutoshgngwr/noice/commit/418a691b4d698ed809998c7d64536a25df2d35ea)
- test(app): add tests for intro & update affected (existing) tests [`749c30c`](https://github.com/ashutoshgngwr/noice/commit/749c30ccee73a56aa68eaf7a78f566ed5f468ce3)
- fix(SoundLibraryFragment): fix save preset button not showing up [`fc49fae`](https://github.com/ashutoshgngwr/noice/commit/fc49faeb29a94ed9e3dc171bfa552c82889fa87e)

## [0.9.1](https://github.com/ashutoshgngwr/noice/compare/0.9.0...0.9.1) - 2020-07-30

### Merged

- Fixes duplicate presets when reopening the list again and again [`#255`](https://github.com/ashutoshgngwr/noice/pull/255)
- chore(deps): bump fastlane from 2.152.0 to 2.153.1 [`#251`](https://github.com/ashutoshgngwr/noice/pull/251)
- Fixes broken parcel builds [`#249`](https://github.com/ashutoshgngwr/noice/pull/249)
- German translation for missing text items. [`#244`](https://github.com/ashutoshgngwr/noice/pull/244)
- chore(deps): bump core-ktx from 1.3.0 to 1.3.1 [`#245`](https://github.com/ashutoshgngwr/noice/pull/245)
- chore(deps-dev): bump jest from 26.0.1 to 26.1.0 in /cast-receiver [`#242`](https://github.com/ashutoshgngwr/noice/pull/242)
- chore(deps-dev): bump @types/chromecast-caf-receiver from 5.0.5 to 5.0.8 in /cast-receiver [`#243`](https://github.com/ashutoshgngwr/noice/pull/243)
- chore(deps-dev): bump @babel/preset-typescript from 7.9.0 to 7.10.4 in /cast-receiver [`#239`](https://github.com/ashutoshgngwr/noice/pull/239)

### Fixed

- fix(PresetFragment): lazy init dataset for the list [`#252`](https://github.com/ashutoshgngwr/noice/issues/252)
- fix(fastlane): fix market icon background [`#250`](https://github.com/ashutoshgngwr/noice/issues/250)

### Commits

- chore(app): prepare release 0.9.1 [`498fe70`](https://github.com/ashutoshgngwr/noice/commit/498fe70bc8f1b037d4b889b5b0bea67308f995a4)
- Merge pull request #254 from ashutoshgngwr/dependabot/gradle/com.google.android.gms-play-services-cast-framework-19.0.0 [`c8b21cd`](https://github.com/ashutoshgngwr/noice/commit/c8b21cdd8d3593801518975dd088c6678df1e1da)
- Merge pull request #253 from ashutoshgngwr/dependabot/npm_and_yarn/cast-receiver/elliptic-6.5.3 [`9171c37`](https://github.com/ashutoshgngwr/noice/commit/9171c37bbe721e1acf3c08a6713682050a426315)

## [0.9.0](https://github.com/ashutoshgngwr/noice/compare/0.8.1...0.9.0) - 2020-07-20

### Merged

- Enables fade transitions for volume updates during local playback [`#236`](https://github.com/ashutoshgngwr/noice/pull/236)
- chore(deps): bump howler from 2.1.3 to 2.2.0 in /cast-receiver [`#230`](https://github.com/ashutoshgngwr/noice/pull/230)
- chore(deps-dev): bump babel-jest from 26.0.1 to 26.1.0 in /cast-receiver [`#232`](https://github.com/ashutoshgngwr/noice/pull/232)
- chore(deps-dev): bump @babel/plugin-proposal-class-properties from 7.8.3 to 7.10.4 in /cast-receiver [`#233`](https://github.com/ashutoshgngwr/noice/pull/233)
- chore(deps-dev): bump typescript from 3.9.2 to 3.9.7 in /cast-receiver [`#234`](https://github.com/ashutoshgngwr/noice/pull/234)
- chore(deps-dev): bump @babel/core from 7.9.6 to 7.10.5 in /cast-receiver [`#235`](https://github.com/ashutoshgngwr/noice/pull/235)
- chore(deps-dev): bump @types/howler from 2.1.2 to 2.2.1 in /cast-receiver [`#229`](https://github.com/ashutoshgngwr/noice/pull/229)
- Updated czech translations [`#228`](https://github.com/ashutoshgngwr/noice/pull/228)
- chore(deps): bump fastlane from 2.151.2 to 2.152.0 [`#226`](https://github.com/ashutoshgngwr/noice/pull/226)
- chore(deps): bump gradle from 4.0.0 to 4.0.1 [`#225`](https://github.com/ashutoshgngwr/noice/pull/225)
- Adds groups in sound library [`#224`](https://github.com/ashutoshgngwr/noice/pull/224)
- Add Polish translation [`#223`](https://github.com/ashutoshgngwr/noice/pull/223)
- Fixes playback not resuming on gaining audio focus after a transient loss [`#222`](https://github.com/ashutoshgngwr/noice/pull/222)
- chore(deps): bump fastlane from 2.151.1 to 2.151.2 [`#221`](https://github.com/ashutoshgngwr/noice/pull/221)
- chore(deps): bump fastlane from 2.151.0 to 2.151.1 [`#218`](https://github.com/ashutoshgngwr/noice/pull/218)
- chore(deps): bump fastlane from 2.150.3 to 2.151.0 [`#217`](https://github.com/ashutoshgngwr/noice/pull/217)
- chore(deps): bump fastlane from 2.150.1 to 2.150.3 [`#216`](https://github.com/ashutoshgngwr/noice/pull/216)
- Added czech translations [`#214`](https://github.com/ashutoshgngwr/noice/pull/214)

### Fixed

- fix(PlayerManager): fix playback not resuming after transient focus loss [`#219`](https://github.com/ashutoshgngwr/noice/issues/219)

### Commits

- feat(SoundLibraryFragment): add display groups to the library [`c50900b`](https://github.com/ashutoshgngwr/noice/commit/c50900b8b2fa60a1711b83de0521746a086696b1)
- fix(app): fix removal of delayed callbacks from handlers [`784ef10`](https://github.com/ashutoshgngwr/noice/commit/784ef10a63728bb2197b4962f960e537f5a6e7e6)
- fix(LocalPlaybackStrategy): enable fade transitions for volume updates [`f53dd53`](https://github.com/ashutoshgngwr/noice/commit/f53dd53342a5b0b1c1ee41de158bb1e577791661)

## [0.8.1](https://github.com/ashutoshgngwr/noice/compare/0.8.0...0.8.1) - 2020-07-04

### Merged

- chore(deps): bump fastlane from 2.149.1 to 2.150.1 [`#212`](https://github.com/ashutoshgngwr/noice/pull/212)
- chore(deps): bump exoplayer-core from 2.11.6 to 2.11.7 [`#211`](https://github.com/ashutoshgngwr/noice/pull/211)
- Enable cast icon in screenshots and adds compaign parameters to the Play Store URLs [`#210`](https://github.com/ashutoshgngwr/noice/pull/210)
- Renames PlayerAdapter to PlaybackStrategy [`#209`](https://github.com/ashutoshgngwr/noice/pull/209)
- Removes obsolete headings in timer fragments [`#208`](https://github.com/ashutoshgngwr/noice/pull/208)

### Commits

- refactor(app/player): rename PlayerAdapter to PlaybackStrategy [`049df52`](https://github.com/ashutoshgngwr/noice/commit/049df52abf1c8499d9182a74e744544998756d43)
- chore(project): update CHANGELOG.md [`7d4b755`](https://github.com/ashutoshgngwr/noice/commit/7d4b7558d1fc9978da477d4ab3853a3a190f5ff6)
- chore(app): add analytics parameters to the play store links [`7f451d6`](https://github.com/ashutoshgngwr/noice/commit/7f451d649ebd7df5dfee6260f3630db66346f0fc)

## [0.8.0](https://github.com/ashutoshgngwr/noice/compare/0.7.2...0.8.0) - 2020-06-25

### Merged

- Fixes share with friends action in Support Developement Fragment [`#207`](https://github.com/ashutoshgngwr/noice/pull/207)
- chore(deps): bump exoplayer-core from 2.11.5 to 2.11.6 [`#206`](https://github.com/ashutoshgngwr/noice/pull/206)
- Automates app screenshots using Fastlane Screengrab [`#205`](https://github.com/ashutoshgngwr/noice/pull/205)
- Updates MainActivity to update toolbar title when changing fragments [`#204`](https://github.com/ashutoshgngwr/noice/pull/204)
- Adds interface to make donations from Android app [`#203`](https://github.com/ashutoshgngwr/noice/pull/203)
- Adds wake-up timer [`#201`](https://github.com/ashutoshgngwr/noice/pull/201)
- Updates translation credits in AboutFragment and docs for contributions [`#199`](https://github.com/ashutoshgngwr/noice/pull/199)
- Adds play-pause toggle menu item to MainActivity [`#198`](https://github.com/ashutoshgngwr/noice/pull/198)
- Fixes incorrect time period offsets for saved presets [`#197`](https://github.com/ashutoshgngwr/noice/pull/197)
- Adds animated play-stop toggle button to Sound and Preset library [`#196`](https://github.com/ashutoshgngwr/noice/pull/196)
- chore(deps): bump fragment-testing from 1.2.4 to 1.2.5 [`#194`](https://github.com/ashutoshgngwr/noice/pull/194)
- chore(deps): bump exoplayer-core from 2.11.4 to 2.11.5 [`#190`](https://github.com/ashutoshgngwr/noice/pull/190)
- chore(deps): bump fastlane from 2.149.0 to 2.149.1 [`#188`](https://github.com/ashutoshgngwr/noice/pull/188)
- Adds Google Cast feature [`#193`](https://github.com/ashutoshgngwr/noice/pull/193)
- Albanian translation [`#192`](https://github.com/ashutoshgngwr/noice/pull/192)
- chore(deps): bump fastlane from 2.148.1 to 2.149.0 [`#186`](https://github.com/ashutoshgngwr/noice/pull/186)
- chore(deps): bump gradle from 3.6.3 to 4.0.0 [`#185`](https://github.com/ashutoshgngwr/noice/pull/185)
- Added swedish translation [`#178`](https://github.com/ashutoshgngwr/noice/pull/178)
- chore(deps): bump core-ktx from 1.2.0 to 1.3.0 [`#184`](https://github.com/ashutoshgngwr/noice/pull/184)
- Added Spanish translation [`#183`](https://github.com/ashutoshgngwr/noice/pull/183)
- pt-rBR translation [`#166`](https://github.com/ashutoshgngwr/noice/pull/166)

### Fixed

- test(app): fix UI tests and stuff [`#149`](https://github.com/ashutoshgngwr/noice/issues/149)
- fix(fastlane): fix featureGraphic for fr-FR locale [`#187`](https://github.com/ashutoshgngwr/noice/issues/187)

### Commits

- test(cast-receiver): add unit tests [`2dc5d96`](https://github.com/ashutoshgngwr/noice/commit/2dc5d960c98fb52615ed8b6edd4f0f1fa9125136)
- refactor(app): lot of refactoring. hard to keep track [`a34de2f`](https://github.com/ashutoshgngwr/noice/commit/a34de2f959acdc0d0bdfc70efb00ca9b5fb8199b)
- ci(github): migrate to GitHub actions [`9840fb5`](https://github.com/ashutoshgngwr/noice/commit/9840fb558c0a1d8467d9d337aa6f3a85111461c3)

## [0.7.2](https://github.com/ashutoshgngwr/noice/compare/0.7.1...0.7.2) - 2020-05-27

### Merged

- Fixes crash on starting service when resuming app from background [`#182`](https://github.com/ashutoshgngwr/noice/pull/182)
- Fixes stutter during fragment change animation [`#181`](https://github.com/ashutoshgngwr/noice/pull/181)
- Adds descriptive text to empty list indicator in Preset Fragment [`#177`](https://github.com/ashutoshgngwr/noice/pull/177)
- Migrates to using vector drawables [`#176`](https://github.com/ashutoshgngwr/noice/pull/176)
- Fixes save preset button not showing up sometimes [`#175`](https://github.com/ashutoshgngwr/noice/pull/175)

### Fixed

- fix(MainActivity): fix IllegalStateException on starting service in onResume [`#179`](https://github.com/ashutoshgngwr/noice/issues/179)

### Commits

- fix(app): migrate to vector drawables [`fc93b16`](https://github.com/ashutoshgngwr/noice/commit/fc93b1600269d911017f827c30f7b2dc54e0b40f)
- refactor(PresetFragment): code cleanup [`924c029`](https://github.com/ashutoshgngwr/noice/commit/924c0292d653ccf9473958b40e5c8168633e9aee)
- refactor(SoundLibraryFragment): clean up code [`a4f8338`](https://github.com/ashutoshgngwr/noice/commit/a4f8338b372b1384f813942d9c0a001f4bb9a767)

## [0.7.1](https://github.com/ashutoshgngwr/noice/compare/0.7.0...0.7.1) - 2020-05-21

### Merged

- Removes crackling noise from heavy rain sample [`#171`](https://github.com/ashutoshgngwr/noice/pull/171)
- Fixes crash on playing wind in chimes of shells using a preset saved before 0.3.x [`#169`](https://github.com/ashutoshgngwr/noice/pull/169)
- chore(deps): bump fastlane from 2.148.0 to 2.148.1 [`#167`](https://github.com/ashutoshgngwr/noice/pull/167)
- Adds 35% more darkness to the dark theme variant [`#163`](https://github.com/ashutoshgngwr/noice/pull/163)
- Fixes play button not responding to clicks [`#161`](https://github.com/ashutoshgngwr/noice/pull/161)
- Adds vector graphic for app_banner in About Fragment [`#162`](https://github.com/ashutoshgngwr/noice/pull/162)
- chore(deps): bump fastlane from 2.147.0 to 2.148.0 [`#165`](https://github.com/ashutoshgngwr/noice/pull/165)
- chore(deps): bump fastlane from 2.146.1 to 2.147.0 [`#160`](https://github.com/ashutoshgngwr/noice/pull/160)

### Commits

- fix(AboutFragment): add vector graphic for app_banner [`3f57158`](https://github.com/ashutoshgngwr/noice/commit/3f57158da447d1a3eb353deb8d9639ab8f860d1c)
- chore: update CHANGELOG.md [`65d8e03`](https://github.com/ashutoshgngwr/noice/commit/65d8e0337c88e91dedec49b04cc5ba638e266787)
- fix(app): make dark theme variant 35% darker [`1219da2`](https://github.com/ashutoshgngwr/noice/commit/1219da236f298da1c891b5d694a6245b604ecff4)

## [0.7.0](https://github.com/ashutoshgngwr/noice/compare/0.6.0...0.7.0) - 2020-05-12

### Merged

- Fix typo [`#156`](https://github.com/ashutoshgngwr/noice/pull/156)
- French translation [`#155`](https://github.com/ashutoshgngwr/noice/pull/155)

### Commits

- chore(app): let android studio have a run at reformatting [`607301f`](https://github.com/ashutoshgngwr/noice/commit/607301f7094b3c3241048b3b33006a8e0e35dc74)
- refactor(app): move untranslatable strings to separate file [`e686645`](https://github.com/ashutoshgngwr/noice/commit/e686645ee7093734068c71615bc83ec9cad74e49)
- Added french translation [`d82404a`](https://github.com/ashutoshgngwr/noice/commit/d82404aeae4ec6ad9674728ddce281edfdf5431f)

## [0.6.0](https://github.com/ashutoshgngwr/noice/compare/0.5.0...0.6.0) - 2020-05-05

### Merged

- Adds rename option to PresetFragment [`#154`](https://github.com/ashutoshgngwr/noice/pull/154)
- Fixes more UI related stuff [`#152`](https://github.com/ashutoshgngwr/noice/pull/152)
- chore(deps): bump kotlin_version from 1.3.71 to 1.3.72 [`#151`](https://github.com/ashutoshgngwr/noice/pull/151)
- Adds redesigned UI for SleepTimerFragment [`#148`](https://github.com/ashutoshgngwr/noice/pull/148)
- Adds adaptive launcher icons [`#147`](https://github.com/ashutoshgngwr/noice/pull/147)
- Fixes ArrayIndexOutOfBounds in SoundLibraryFragment's ViewHolder [`#143`](https://github.com/ashutoshgngwr/noice/pull/143)

### Fixed

- fix(app): add adaptive launcher icon set [`#146`](https://github.com/ashutoshgngwr/noice/issues/146)

### Commits

- refactor(app): replace dialogs with bottom sheets [`26775f0`](https://github.com/ashutoshgngwr/noice/commit/26775f09753310b7d820a9cc1f656f833e2cb14a)
- refactor(SleepTimerFragment): redesign interface for setting duration [`c55c192`](https://github.com/ashutoshgngwr/noice/commit/c55c19263526b0af6557a641a3f5fc03356243b6)
- feat(app): add CountdownTextView widget [`51f876e`](https://github.com/ashutoshgngwr/noice/commit/51f876e7beeb74507c1ad2e4c5f0358aa5889553)

## [0.5.0](https://github.com/ashutoshgngwr/noice/compare/0.4.0...0.5.0) - 2020-04-24

### Merged

- Migrates Material design from AppCompat to MaterialComponents [`#141`](https://github.com/ashutoshgngwr/noice/pull/141)
- chore(deps): bump fastlane from 2.145.0 to 2.146.1 [`#140`](https://github.com/ashutoshgngwr/noice/pull/140)
- Add german strings and credits [`#138`](https://github.com/ashutoshgngwr/noice/pull/138)
- Optimizes CI build performance [`#137`](https://github.com/ashutoshgngwr/noice/pull/137)
- Fixes minor issues with navigation view in main activity [`#136`](https://github.com/ashutoshgngwr/noice/pull/136)
- chore(deps): bump gradle from 3.6.2 to 3.6.3 [`#134`](https://github.com/ashutoshgngwr/noice/pull/134)
- chore(deps): bump preference from 1.1.0 to 1.1.1 [`#132`](https://github.com/ashutoshgngwr/noice/pull/132)

### Fixed

- fix(MainActivity): fix navigation drawer width issue [`#135`](https://github.com/ashutoshgngwr/noice/issues/135)

### Commits

- chore(project): update contributor covenant to v2.0 [`2c51cee`](https://github.com/ashutoshgngwr/noice/commit/2c51cee9d204262445dc9d579c1e92318e3566c0)
- refactor(app): migrate appcompat to material components [`bd72f0a`](https://github.com/ashutoshgngwr/noice/commit/bd72f0af27c6d649324bf0b301a7da3735be4018)
- feat(project): add CONTRIBUTING.md [`724accd`](https://github.com/ashutoshgngwr/noice/commit/724accd8b85067b19c62adcaf8c24079075d1248)

## [0.4.0](https://github.com/ashutoshgngwr/noice/compare/0.3.4...0.4.0) - 2020-04-15

### Merged

- Adds hindi translations for play store metadata [`#131`](https://github.com/ashutoshgngwr/noice/pull/131)
- Adds airplane sounds to the sound library [`#130`](https://github.com/ashutoshgngwr/noice/pull/130)
- Fixes the russian metadata for fastlane [`#129`](https://github.com/ashutoshgngwr/noice/pull/129)
- Strings and metadata are translated to russian [`#128`](https://github.com/ashutoshgngwr/noice/pull/128)
- Adds white, pink and brownian noise to the sound library [`#125`](https://github.com/ashutoshgngwr/noice/pull/125)
- Fixes inconsistencies in app's appearance [`#127`](https://github.com/ashutoshgngwr/noice/pull/127)
- Adds fade in-out effects to the playback [`#124`](https://github.com/ashutoshgngwr/noice/pull/124)
- chore(deps): bump exoplayer-core from 2.11.3 to 2.11.4 [`#123`](https://github.com/ashutoshgngwr/noice/pull/123)
- chore(deps): bump fastlane from 2.144.0 to 2.145.0 [`#121`](https://github.com/ashutoshgngwr/noice/pull/121)
- chore(deps): bump fragment-testing from 1.2.3 to 1.2.4 [`#120`](https://github.com/ashutoshgngwr/noice/pull/120)
- chore(deps): bump gradle from 3.6.1 to 3.6.2 [`#119`](https://github.com/ashutoshgngwr/noice/pull/119)
- Adds Play Store metadata to the repository [`#118`](https://github.com/ashutoshgngwr/noice/pull/118)

### Fixed

- fix(SavePresetDialogFragment): fix issue with day-night mode [`#126`](https://github.com/ashutoshgngwr/noice/issues/126)

### Commits

- Strings and metadata translated to russian [`0f4cf68`](https://github.com/ashutoshgngwr/noice/commit/0f4cf684aafe3b46baeccb8ef051c98d7147842a)
- feat(Playback): add fade-out effect on stopping playback [`ca73ace`](https://github.com/ashutoshgngwr/noice/commit/ca73ace404d6211eb57dc0aae018a6d7e60f19a2)
- perf(fastlane): add play store metadata to repo [`599a847`](https://github.com/ashutoshgngwr/noice/commit/599a84724974ec5c0a0673023deaa3dc8a479f05)

## [0.3.4](https://github.com/ashutoshgngwr/noice/compare/0.3.3...0.3.4) - 2020-03-30

### Merged

- Fixes force close caused by the JSON deserialization after upgrading from 0.2.7 or older [`#117`](https://github.com/ashutoshgngwr/noice/pull/117)
- Adds hindi translations [`#109`](https://github.com/ashutoshgngwr/noice/pull/109)
- chore(deps): bump fastlane from 2.143.0 to 2.144.0 [`#107`](https://github.com/ashutoshgngwr/noice/pull/107)
- chore(deps): bump kotlin_version from 1.3.70 to 1.3.71 [`#106`](https://github.com/ashutoshgngwr/noice/pull/106)

### Commits

- feat(app): add hindi translations [`1620974`](https://github.com/ashutoshgngwr/noice/commit/1620974b43c63be6da6e5e0303554e78cc074ddd)
- feat(app): add argentinian spanish (es-ar) translations [`a2d1e85`](https://github.com/ashutoshgngwr/noice/commit/a2d1e85c60a222110d3e6dac9d1b9e80cca10c33)
- fix(app): mark credits related strings untranslatable [`e820be5`](https://github.com/ashutoshgngwr/noice/commit/e820be58078ab076f23392c04d78c6f143695dfb)

## [0.3.3](https://github.com/ashutoshgngwr/noice/compare/0.3.2...0.3.3) - 2020-03-23

### Merged

- Fixes volume serialization/deserialization to/from JSON in Playback [`#105`](https://github.com/ashutoshgngwr/noice/pull/105)
- chore(deps): bump kotlin_version from 1.3.61 to 1.3.70 [`#104`](https://github.com/ashutoshgngwr/noice/pull/104)

### Commits

- fix(Playback): fix volume json (de)serialization [`e7538b2`](https://github.com/ashutoshgngwr/noice/commit/e7538b2dd172726782e588b0fb3f77445b3f28ba)
- chore: update CHANGELOG.md [`70fbe7a`](https://github.com/ashutoshgngwr/noice/commit/70fbe7a5152fc04cdc04d4f9f2434ef54bf12e60)
- docs(README.md): add notes on release in 'Contributing' section [`3faaaaf`](https://github.com/ashutoshgngwr/noice/commit/3faaaaf93ef72ed7cddf7cc87239e4b099b984ac)

## [0.3.2](https://github.com/ashutoshgngwr/noice/compare/0.3.1...0.3.2) - 2020-03-22

### Merged

- Adds theme selector to switch between light and dark theme variants [`#103`](https://github.com/ashutoshgngwr/noice/pull/103)
- chore(deps): bump fragment-testing from 1.2.2 to 1.2.3 [`#102`](https://github.com/ashutoshgngwr/noice/pull/102)
- Adds view null check in onSaveInstanceState() of SleepTimerFragment [`#101`](https://github.com/ashutoshgngwr/noice/pull/101)

### Commits

- feat(app): add app theme selector [`dc8449c`](https://github.com/ashutoshgngwr/noice/commit/dc8449c9750e4fd17e2a55a844fdd17c7fd44a07)
- test(MainActivity): add unit test for theme selector [`5745198`](https://github.com/ashutoshgngwr/noice/commit/5745198daf669328aba0d5edd899674824f6afdf)
- chore: update CHANGELOG.md [`7852744`](https://github.com/ashutoshgngwr/noice/commit/7852744edb74879b51f8d03868255ce6d9bd50b5)

## [0.3.1](https://github.com/ashutoshgngwr/noice/compare/0.3.0-rc...0.3.1) - 2020-03-18

### Commits

- chore: add CHANGELOG.md [`c8b694c`](https://github.com/ashutoshgngwr/noice/commit/c8b694c9a1cf6952894abb30f73a4d785b5f8705)
- chore(app): bump version name and code [`f00d259`](https://github.com/ashutoshgngwr/noice/commit/f00d2594af093dbfe924384e06d310e173aa8f12)
- build(app): fix incorrect proguard file path in gradle config [`393152c`](https://github.com/ashutoshgngwr/noice/commit/393152c9bb76ac0102333f25793ff6d31b165204)

## [0.3.0-rc](https://github.com/ashutoshgngwr/noice/compare/0.2.8-rc...0.3.0-rc) - 2020-03-17

### Merged

- Fixes disappearing notification after losing audio focus temporarily [`#100`](https://github.com/ashutoshgngwr/noice/pull/100)
- Add high fidelity sounds to the library [`#99`](https://github.com/ashutoshgngwr/noice/pull/99)
- Fixes unwanted gap in looping sounds [`#98`](https://github.com/ashutoshgngwr/noice/pull/98)
- chore(deps): bump mockito-android from 3.3.1 to 3.3.3 [`#97`](https://github.com/ashutoshgngwr/noice/pull/97)
- chore(deps): bump mockito-android from 3.3.0 to 3.3.1 [`#96`](https://github.com/ashutoshgngwr/noice/pull/96)
- Adds auto sleep timer to schedule playback stop [`#95`](https://github.com/ashutoshgngwr/noice/pull/95)
- Fixes playback control issues in PresetFragment [`#94`](https://github.com/ashutoshgngwr/noice/pull/94)
- Attempts to fix build matrix for CI [`#93`](https://github.com/ashutoshgngwr/noice/pull/93)
- Refactor SoundManager to use Android MediaPlayer implementation [`#68`](https://github.com/ashutoshgngwr/noice/pull/68)

### Fixed

- feat(noice): add auto sleep timer [`#66`](https://github.com/ashutoshgngwr/noice/issues/66)

### Commits

- test(instrumented): update tests for the refactor [`f28a8fb`](https://github.com/ashutoshgngwr/noice/commit/f28a8fbe057e7c8b504d9b0812711f6766c310ed)
- refactor(sound): finish refactoring for event-based architecture with MediaPlayer backend [`7d144b3`](https://github.com/ashutoshgngwr/noice/commit/7d144b3931deae3ed3772cd3ff7a7968c3ab9136)
- refactor(playback): change playback backend to ExoPlayer [`473d4bb`](https://github.com/ashutoshgngwr/noice/commit/473d4bb76d949e4ae87ea731af2458bb0c13491d)

## [0.2.8-rc](https://github.com/ashutoshgngwr/noice/compare/0.2.7...0.2.8-rc) - 2019-11-17

### Commits

- chore(deps): bump fastlane from 2.134.0 to 2.135.2 [`a64b73a`](https://github.com/ashutoshgngwr/noice/commit/a64b73a1ce41a3b3805df44656bcb3c0032a935c)
- refactor(app): fix lint warnings [`2ca130c`](https://github.com/ashutoshgngwr/noice/commit/2ca130cd6fa90437198a7f95780e8d8359d44193)
- chore(app): bump version name and code [`b876cec`](https://github.com/ashutoshgngwr/noice/commit/b876cec8abd13e59d0e71d81d9b5bc791f522156)

## [0.2.7](https://github.com/ashutoshgngwr/noice/compare/0.2.6...0.2.7) - 2019-11-10

### Commits

- build(android): migrate to sdk 29 [`a60ade9`](https://github.com/ashutoshgngwr/noice/commit/a60ade91cf7dbfb106c90db00f00a6fcd0c2067c)
- chore(deps): bump fastlane from 2.133.0 to 2.134.0 [`875150a`](https://github.com/ashutoshgngwr/noice/commit/875150a974efc1f22b53ad925cd55a4fff18370b)
- chore(deps): bump fastlane from 2.130.0 to 2.131.0 [`bfd1cc4`](https://github.com/ashutoshgngwr/noice/commit/bfd1cc4ebebe8f4045130795eeda81429f26aaa4)

## [0.2.6](https://github.com/ashutoshgngwr/noice/compare/0.2.5...0.2.6) - 2019-08-27

### Merged

- Fixes broken CI builds [`#25`](https://github.com/ashutoshgngwr/noice/pull/25)

### Commits

- chore(deps): bump fastlane from 2.128.1 to 2.129.0 [`c15d5b6`](https://github.com/ashutoshgngwr/noice/commit/c15d5b69b264b37a645c704458c8ea7b050c5f79)
- fix(gradle): explicitly define jvm version [`5f34298`](https://github.com/ashutoshgngwr/noice/commit/5f342985dac30eb027ba6e02e2ac052000a27476)
- chore(deps): bump fastlane from 2.127.1 to 2.127.2 [`c018bd0`](https://github.com/ashutoshgngwr/noice/commit/c018bd06eabcbb35aedd98b3e839e250adc667b2)

## [0.2.5](https://github.com/ashutoshgngwr/noice/compare/0.2.4-rc...0.2.5) - 2019-07-05

### Merged

- fix(PresetFragment): app crash on deleting a playing preset [`#16`](https://github.com/ashutoshgngwr/noice/pull/16)
- Adds null checks on RecyclerView in preset & sound library fragments [`#15`](https://github.com/ashutoshgngwr/noice/pull/15)

### Commits

- fix: add null checks on RecyclerView in preset & library fragments [`061be30`](https://github.com/ashutoshgngwr/noice/commit/061be30cab16db7fb0303fdc83706aec534d9fe4)
- chore: bump app version [`292ae70`](https://github.com/ashutoshgngwr/noice/commit/292ae70140262faf0bd6f0ea17483b332d72dc28)
- chore(deps): bump fragment-testing from 1.1.0-beta01 to 1.2.0-alpha01 [`e3879de`](https://github.com/ashutoshgngwr/noice/commit/e3879de0fbfa2ee02c73ffc70d318cba58329d87)

## [0.2.4-rc](https://github.com/ashutoshgngwr/noice/compare/0.2.3-rc...0.2.4-rc) - 2019-06-30

### Merged

- Fixes crash on opening about screen on Android 9+ [`#12`](https://github.com/ashutoshgngwr/noice/pull/12)

### Commits

- chore: cleanup onCreateView in preset and library fragments [`e8557d7`](https://github.com/ashutoshgngwr/noice/commit/e8557d708cd8f580f7bbb9256503545429c7d658)
- fix(AboutFragment): activity recreation due to forced night mode [`c5c1359`](https://github.com/ashutoshgngwr/noice/commit/c5c1359363a65860e8b0321a676fd760ca15837b)
- chore: bump app version [`cb4cacb`](https://github.com/ashutoshgngwr/noice/commit/cb4cacb7340873834d7d6db8ac29f87017e7b9b2)

## [0.2.3-rc](https://github.com/ashutoshgngwr/noice/compare/0.2.2...0.2.3-rc) - 2019-06-28

### Merged

- Adds list reordering based on item's playback state [`#10`](https://github.com/ashutoshgngwr/noice/pull/10)

### Commits

- feat: order lists by playing state and then names [`309e2ce`](https://github.com/ashutoshgngwr/noice/commit/309e2cefc1d5ff346e8c737278297651f2fb8dea)
- fix: lint warnings [`7850252`](https://github.com/ashutoshgngwr/noice/commit/785025246502a3d139e4c663a94fd43065fc3d38)
- test: adjust cases to consider list re-ordering [`d2d47ca`](https://github.com/ashutoshgngwr/noice/commit/d2d47ca0aee65a2cfad937213400febe5f9442ac)

## [0.2.2](https://github.com/ashutoshgngwr/noice/compare/0.2.1...0.2.2) - 2019-06-26

### Merged

- chore(deps): bump fastlane from 2.125.2 to 2.126.0 [`#9`](https://github.com/ashutoshgngwr/noice/pull/9)
- Fixes more minor bugs [`#8`](https://github.com/ashutoshgngwr/noice/pull/8)
- chore(deps): bump kotlin_version from 1.3.31 to 1.3.40 [`#7`](https://github.com/ashutoshgngwr/noice/pull/7)

### Commits

- fix(MediaPlayerService): cleanup messy focus management [`a81b186`](https://github.com/ashutoshgngwr/noice/commit/a81b1864ab0d1d64c12d8c93e7724e32c3faa979)
- fix(MainActivity): add save preset switch to back stack listener [`17c740d`](https://github.com/ashutoshgngwr/noice/commit/17c740dac6c40e0c73ae0951019bac8d949eee17)
- chore: update README.md [`3d62676`](https://github.com/ashutoshgngwr/noice/commit/3d62676320714c29ca3503ff545c0817caaef7ac)

## [0.2.1](https://github.com/ashutoshgngwr/noice/compare/0.2.1-rc...0.2.1) - 2019-06-19

## [0.2.1-rc](https://github.com/ashutoshgngwr/noice/compare/0.2.0-rc...0.2.1-rc) - 2019-06-19

### Merged

- chore(deps): bump auto-service from 1.0-rc4 to 1.0-rc5 [`#6`](https://github.com/ashutoshgngwr/noice/pull/6)
- Fixes a few minor bugs [`#5`](https://github.com/ashutoshgngwr/noice/pull/5)

### Commits

- chore: cleanup code [`c3ed7e1`](https://github.com/ashutoshgngwr/noice/commit/c3ed7e15a5d6e98e36f048f635cecf995e14a270)
- chore: add github issue and PR templates [`6ffaac9`](https://github.com/ashutoshgngwr/noice/commit/6ffaac94450af48d3e961a3fd74790a5ac87b0a1)
- fix(MediaPlayerService): playback being resumed without audio focus [`25e642a`](https://github.com/ashutoshgngwr/noice/commit/25e642ae996c18004ddb0f5caeaaf0a61178c0cb)

## [0.2.0-rc](https://github.com/ashutoshgngwr/noice/compare/0.1.0...0.2.0-rc) - 2019-06-18

### Merged

- Adds correct UI tests for SoundLibraryFragment and AboutFragment [`#4`](https://github.com/ashutoshgngwr/noice/pull/4)
- Introduce user persistable playback presets [`#3`](https://github.com/ashutoshgngwr/noice/pull/3)

### Commits

- feat: add presets :relaxed: [`93e461d`](https://github.com/ashutoshgngwr/noice/commit/93e461d4bec3ed6e1247a6257dc001c3c0bc2663)
- test: add ui tests for PresetFragment & SavePresetDialogFragment [`228b67a`](https://github.com/ashutoshgngwr/noice/commit/228b67a6ee2fc94776ab7be60afcf7b2893fce42)
- test: add correct tests for SoundLibraryFragment & AboutFragment [`4f225c7`](https://github.com/ashutoshgngwr/noice/commit/4f225c7cca08925a9e30c017a848aa6730adef30)

## [0.1.0](https://github.com/ashutoshgngwr/noice/compare/0.1.0-rc1...0.1.0) - 2019-06-13

## [0.1.0-rc1](https://github.com/ashutoshgngwr/noice/compare/0.1.0-rc0...0.1.0-rc1) - 2019-06-13

### Commits

- fix: fastlane config [`7f1e47c`](https://github.com/ashutoshgngwr/noice/commit/7f1e47c8f6b6da7c7cf63ab39ffc8b149d3414f4)
- chore: bump app version code [`d975d00`](https://github.com/ashutoshgngwr/noice/commit/d975d00f631fdf6d2b702041358b75ab54f6fad2)
- chore(deps): bump robolectric from 4.2 to 4.3 [`cfa7484`](https://github.com/ashutoshgngwr/noice/commit/cfa74848bd94615885c030b97ac627dd22dc1bf0)

## [0.1.0-rc0](https://github.com/ashutoshgngwr/noice/compare/0.0.1-rc0...0.1.0-rc0) - 2019-06-09

### Commits

- fix: gracefully handle audio focus changes for all android versions [`f6fd9bb`](https://github.com/ashutoshgngwr/noice/commit/f6fd9bb3a144f97f58653f5e677d96293369c8f1)
- chore: audio focus and becoming noisy receiver cleanup [`cde5ce6`](https://github.com/ashutoshgngwr/noice/commit/cde5ce6d6f0ad960ecfdef576b66502523968d6e)
- feat: add README.md [`c5d5a51`](https://github.com/ashutoshgngwr/noice/commit/c5d5a51bf93057806c7d82d45b6d864cf59b368f)

## 0.0.1-rc0 - 2019-06-07

### Commits

- setup initial boilerplate [`6080535`](https://github.com/ashutoshgngwr/noice/commit/608053590d84c7b7db54ba2fe812cf6170b385af)
- feat: setup sound playback backend [`eb9eeff`](https://github.com/ashutoshgngwr/noice/commit/eb9eeffaa85b0554b16e7b8d975105c5aa75e2d0)
- feat: setup basic ui navigation [`5d98748`](https://github.com/ashutoshgngwr/noice/commit/5d9874849836bd2a402e4523741b05dac2c6b5fb)
